Security release WAPT 2.2.3 and WAPT 2.1.2

Question about WAPT Server / Requêtes et aides autour du serveur Wapt
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée, version complète ET numéro de build (2.2.1.11957 / 2.2.2.12337 / etc.) AINSI QUE l'édition Enterprise / Discovery
* Les versions 1.8.2 et antérieures ne sont plus maintenues. Les seules questions acceptées vis à vis de la version 1.8.2 sont liés à la mise à jour vers une version supportée (2.1, 2.2, etc.)
* Préciser OS du serveur (Linux / Windows) et version (Debian Buster/Bullseye - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter le service commercial Tranquil IT au 02.40.97.57.55
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 1030
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

01 déc. 2022 - 18:20

Bonsoir à tous / Good Evening everyone,

(English below)

Une release de sécurité pour Wapt 2.2.3 et WAPT 2.1.2 vient d'être mise en ligne. Cette release met à jour plusieurs dépendance WAPT qui présentent des CVEs (Python, OpenSSL, Kerberos, pip ujson, pip waitress) ainsi qu'une faille LPE dans waptdeploy.exe (CVSS score 6.6).

Le changelog est disponible ici: https://www.wapt.fr/fr/doc/wapt-changel ... 2022-11-30

Pour la mise à jour merci de suivre la documentation sur https://www.wapt.fr/fr/doc.

Note : si vous utilisez le déploiement WAPTAgent par GPO, pensez aussi à mettre à jour le binaire waptdeploy de votre GPO.

///////

A security release for Wapt 2.2.3 and WAPT 2.1.2 has been published. This release updates a few WAPT dependencies that have CVEs (Python, OpenSSL, Kerberos, pip ujson, pip waitress) and a LPE issue in waptdeploy.exe (CVSS score 6.6).

The changelog is available here: https://www.wapt.fr/en/doc/wapt-changel ... 2022-11-30

Please refer to the upgrade documentation on https://www.wapt.fr/en/doc.

Note : if you are using WAPTAgent deployment though GPO, don't forget to update your waptdeploy binary in the definition GPO.

Cordialement / Best regards,

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Répondre